summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'app-emacs/racket-mode')
-rw-r--r--app-emacs/racket-mode/Manifest2
-rw-r--r--app-emacs/racket-mode/racket-mode-1_p20240130.ebuild2
-rw-r--r--app-emacs/racket-mode/racket-mode-1_p20240515.ebuild (renamed from app-emacs/racket-mode/racket-mode-1_p20231214.ebuild)10
-rw-r--r--app-emacs/racket-mode/racket-mode-9999.ebuild32
4 files changed, 29 insertions, 17 deletions
diff --git a/app-emacs/racket-mode/Manifest b/app-emacs/racket-mode/Manifest
index bb81f89c00aa..199ee5bf577e 100644
--- a/app-emacs/racket-mode/Manifest
+++ b/app-emacs/racket-mode/Manifest
@@ -1,2 +1,2 @@
-DIST racket-mode-1_p20231214.tar.gz 372054 BLAKE2B 8ce9db064038780e5e8bcff3f3b71d00c19cac385e4afec22437e1d5d1fa751d050b887f4a22bbe35961c852d98b5894ed8eef99d52b7764fe9a741247730ead SHA512 74c7e588799e0dc34501a575c10474d071bebd8773f44df388bcb4ab9be452610f7263a7393794dd8288362d852e12d3e57a54fd389eededeaab98a28f24ffdd
DIST racket-mode-1_p20240130.tar.gz 373342 BLAKE2B 20ad54d6c64cb52d3c81004131e957c1d4ae8eb32128cb99ba043337832c7398c27d070035440efc2b2debf0324495cc1b15d45169c15da2c5efcb43ad98a71d SHA512 3bf87a0de204db58e1781899d2e1fc70d10f5493e1ae35338b8c92fa0b8ce0c5a953d05c4de60628a057d43aaa22d0d13e6f33cc8ac8073dce8e0fc3c3954bcb
+DIST racket-mode-1_p20240515.tar.gz 373968 BLAKE2B 9a704da188c0cb6948fd36135a6e8f7f7f4e8583acf10a1ed890a96d674fb300f179e8873fefcb6df4aed0f81c9210630ec995c8ad0a17f674101fc0ac9f7cd2 SHA512 b8a0126e085f1508086c437823f5cfdf076e3c857e467d4f20b63baabcfd00bd03f4caf9e9ec3773b19f530ab50e96fe40cf1ca0c77f37033321aa0e7af59b92
diff --git a/app-emacs/racket-mode/racket-mode-1_p20240130.ebuild b/app-emacs/racket-mode/racket-mode-1_p20240130.ebuild
index 11acf33f081a..f2ad2ef65308 100644
--- a/app-emacs/racket-mode/racket-mode-1_p20240130.ebuild
+++ b/app-emacs/racket-mode/racket-mode-1_p20240130.ebuild
@@ -20,7 +20,7 @@ else
-> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${COMMIT}"
- KEYWORDS="~amd64 ~x86"
+ KEYWORDS="amd64 ~x86"
fi
LICENSE="GPL-3+"
diff --git a/app-emacs/racket-mode/racket-mode-1_p20231214.ebuild b/app-emacs/racket-mode/racket-mode-1_p20240515.ebuild
index 39debe52a835..8c8b1a21c4cd 100644
--- a/app-emacs/racket-mode/racket-mode-1_p20231214.ebuild
+++ b/app-emacs/racket-mode/racket-mode-1_p20240515.ebuild
@@ -3,9 +3,9 @@
EAPI=8
-[[ "${PV}" == *_p20231214 ]] && COMMIT=e6c2906316861e151fac9f7c0fa4ce443a1ba1fa
+[[ "${PV}" == *p20240515 ]] && COMMIT="d2cff2b7f210846108875c7eccb1b5ab98bceb74"
-inherit elisp # virtualx
+inherit elisp
DESCRIPTION="Emacs modes for Racket: edit, REPL, check-syntax, debug, profile, and more"
HOMEPAGE="https://www.racket-mode.com/
@@ -20,7 +20,7 @@ else
-> ${P}.tar.gz"
S="${WORKDIR}/${PN}-${COMMIT}"
- KEYWORDS="amd64 ~x86"
+ KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-3+"
@@ -35,7 +35,9 @@ BDEPEND="
${RDEPEND}
"
-ELISP_REMOVE="test/racket/hash-lang-test.rkt"
+ELISP_REMOVE="
+ test/racket/hash-lang-test.rkt
+"
PATCHES=( "${FILESDIR}/${PN}-rkt-source-dir.patch" )
DOCS=( CONTRIBUTING.org README.org THANKS.org )
diff --git a/app-emacs/racket-mode/racket-mode-9999.ebuild b/app-emacs/racket-mode/racket-mode-9999.ebuild
index d343ca431fd0..eec06b7a6ff2 100644
--- a/app-emacs/racket-mode/racket-mode-9999.ebuild
+++ b/app-emacs/racket-mode/racket-mode-9999.ebuild
@@ -1,34 +1,44 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
+# COMMIT=""
+
inherit elisp
DESCRIPTION="Emacs modes for Racket: edit, REPL, check-syntax, debug, profile, and more"
HOMEPAGE="https://www.racket-mode.com/
https://github.com/greghendershott/racket-mode/"
-if [[ ${PV} == *9999* ]] ; then
+if [[ "${PV}" == *9999* ]] ; then
inherit git-r3
+
EGIT_REPO_URI="https://github.com/greghendershott/${PN}.git"
else
- [[ ${PV} == *_p20230905 ]] && COMMIT=bfe5a8fc418e9710e474db3e6dcbe66f6b177ecb
-
SRC_URI="https://github.com/greghendershott/${PN}/archive/${COMMIT}.tar.gz
-> ${P}.tar.gz"
- S="${WORKDIR}"/${PN}-${COMMIT}
+ S="${WORKDIR}/${PN}-${COMMIT}"
KEYWORDS="~amd64 ~x86"
fi
LICENSE="GPL-3+"
SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
-RDEPEND="dev-scheme/racket:=[-minimal]"
-BDEPEND="${RDEPEND}"
+RDEPEND="
+ dev-scheme/racket:=[-minimal]
+"
+BDEPEND="
+ ${RDEPEND}
+"
-PATCHES=( "${FILESDIR}"/${PN}-rkt-source-dir.patch )
+ELISP_REMOVE="
+ test/racket/hash-lang-test.rkt
+"
+PATCHES=( "${FILESDIR}/${PN}-rkt-source-dir.patch" )
DOCS=( CONTRIBUTING.org README.org THANKS.org )
ELISP_TEXINFO="doc/${PN}.texi"
@@ -37,7 +47,7 @@ SITEFILE="50${PN}-gentoo.el"
src_prepare() {
elisp_src_prepare
- sed "s|@SITEETC@|${SITEETC}/${PN}|" -i "${S}"/racket-util.el || die
+ sed "s|@SITEETC@|${SITEETC}/${PN}|" -i "${S}/racket-util.el" || die
}
src_compile() {
@@ -46,13 +56,13 @@ src_compile() {
# Equivalent to compiling from Emacs with "racket-mode-start-faster",
# because this is installed globally we have to compile it now.
ebegin "Compiling Racket source files"
- find "${S}"/racket -type f -name "*.rkt" -exec raco make -v {} +
+ find "${S}/racket" -type f -name "*.rkt" -exec raco make -v {} +
eend $? "failed to compile Racket source files" || die
}
src_test() {
# Set "PLTUSERHOME" to a safe temp directory to prevent writing to "~".
- PLTUSERHOME="${T}"/racket-mode/test-racket emake test-racket
+ PLTUSERHOME="${T}/racket-mode/test-racket" emake test-racket
}
src_install() {